### Function

# GLib prefix_error_literal

since: 2.70

#### Declaration

    void
    g_prefix_error_literal (
      GError** err,
      const gchar* prefix
    )

#### Description

Prefixes `prefix` to an existing error message. If `err` or *`err` is `NULL` (i.e.: no error variable) then do nothing.

Available since: 2.70

#### Parameters

`err`

  Type: `GError`

  A return location for a `GError`, or `NULL`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`prefix`

  Type: `const gchar*`

  String to prefix `err` with.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.